server.port=8081
server.servlet.context-path=/api
management.endpoints.web.exposure.include=info
server.forward-headers-strategy=framework
spring.main.allow-bean-definition-overriding=true
springdoc.swagger-ui.path=/swagger-ui.html

spring.datasource.url=jdbc:h2:mem:test
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.username=sa
spring.datasource.password=password
spring.jpa.defer-datasource-initialization=true
spring.jpa.hibernate.ddl-auto=create-drop
spring.jpa.show-sql=false
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.properties.hibernate.validator.apply_to_ddl=false
spring.jpa.properties.hibernate.globally_quoted_identifiers=true

#spring.jpa.properties.hibernate.check_nullability=true
spring.h2.console.enabled=true
spring.h2.console.path=/h2-console

url.data = https://jsonplaceholder.typicode.com/posts